Package Gnumed :: Package business :: Module gmMedication :: Class cSubstanceIntakeEntry |
[frames] | no frames]

# Class cSubstanceIntakeEntry

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cSubstanceIntakeEntry

Represents a substance currently taken by a patient.

Instance Methods
format(self, left_margin=0, date_format='%Y %B %d', one_line=True, allergy=None) | source code
format_as_one_line(self, left_margin=0, date_format='%Y %B %d') | source code
format_as_multiple_lines(self, left_margin=0, date_format='%Y %B %d', allergy=None) | source code
turn_into_allergy(self, encounter_id=None, allergy_type='allergy') | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| ddd = `property(_get_ddd, lambda x: x)`
| external_code = `property(_get_external_code, lambda x: x)`
| external_code_type = `property(_get_external_code_type, lambda `...``
| containing_drug = `property(_get_containing_drug, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Class Variable Details

  ### external_code_type Value:
      property(_get_external_code_type, lambda x: x)